commit:     fd71a415aa964e0b32af0905feff0c76627240db
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 22 11:42:50 2014 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Dec 22 11:43:03 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=fd71a415

sci-biology/atsas: Add libdir to rpath

Package-Manager: portage-2.2.15
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

---
 sci-biology/atsas/ChangeLog          | 3 +++
 sci-biology/atsas/atsas-2.6.0.ebuild | 4 +++-
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/sci-biology/atsas/ChangeLog b/sci-biology/atsas/ChangeLog
index 19bbe03..854d5f5 100644
--- a/sci-biology/atsas/ChangeLog
+++ b/sci-biology/atsas/ChangeLog
@@ -2,6 +2,9 @@
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  22 Dec 2014; Justin Lecher <[email protected]> atsas-2.6.0.ebuild:
+  Add libdir to rpath
+
   21 Dec 2014; Justin Lecher <[email protected]> atsas-2.6.0.ebuild:
   Drop quotes
 

diff --git a/sci-biology/atsas/atsas-2.6.0.ebuild 
b/sci-biology/atsas/atsas-2.6.0.ebuild
index d7c2fd9..451c039 100644
--- a/sci-biology/atsas/atsas-2.6.0.ebuild
+++ b/sci-biology/atsas/atsas-2.6.0.ebuild
@@ -44,7 +44,9 @@ pkg_nofetch() {
 src_install() {
        local i
        for i in bin/*; do
-               patchelf --set-rpath "$(gcc-config -L):${EPREFIX}/opt/${PN}/" 
${i} || die
+               patchelf \
+                       --set-rpath "$(gcc-config 
-L):${EPREFIX}/opt/${PN}/:${EPREFIX}/usr/lib/" \
+                       ${i} || die
        done
        exeinto /opt/bin
        doexe bin/*

Reply via email to